Summary: Package to integrate GeneWeb (V5) into SME Server
%define name smeserver-geneweb
Name: %{name}
%define version 2.0 
%define release 6
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Applications/Internet
Source: %{name}-%{version}.tar.gz
Patch1: smeserver-geneweb-2.0-pod-corrections.patch
Patch2: smeserver-geneweb-2.0-ip_number-validation.patch
Patch3: smeserver-geneweb-2.0-locale-2008-03-11.patch
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch
Requires: geneweb >= 5.00
Requires: smeserver-release >= 7.0
BuildRequires: e-smith-devtools

%description
This RPM must be installed after the geneweb*.el4.sme.i386.rpm package
to complete the integration for SME Server.

%changelog
* Tue Mar 11 2008 Stephen Noble <support@dungog.net> - 2.0-6
- add locale patch, validate lexicon in spec

* Tue Jan 15 2008 Craig Jensen <craig.d.jensen@gmail.com> 2.0-5
- geneweb.pm fix to correctly validate IP numbers 'and' localIP

* Sun Jan 13 2008 Craig Jensen <craig.d.jensen@gmail.com> 2.0-4
- geneweb.pm edited for pod corrections (pass podchecker)

* Thu Apr 12 2007 Craig D. Jensen <craig.d.jensen@gmail.com>
- [2.0-1] First companion to Geneweb v5 w/panel for admin allowing
  for setting the desired IP on the LAN for Geneweb administrative
  access.

%prep

rm -rf $RPM_BUILD_ROOT

%setup
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
perl createlinks
DEFAULTS=root/etc/e-smith/db/configuration/defaults/geneweb
mkdir -p $DEFAULTS
echo "service" > $DEFAULTS/type
echo "disabled" > $DEFAULTS/status
echo "127.0.0.1" >$DEFAULTS/only

LEXICONS=$(find root/etc/e-smith/{locale/,web/functions/} -type f )
for lexicon in $LEXICONS
do
    /sbin/e-smith/validate-lexicon $lexicon
done

%install
/bin/rm -rf $RPM_BUILD_ROOT
(cd root   ; /usr/bin/find . -depth -print | /bin/cpio -dump $RPM_BUILD_ROOT)
/bin/rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist
echo "%doc COPYING" >> %{name}-%{version}-filelist

%files -f %{name}-%{version}-filelist

%defattr(-,root,root)

%clean 
rm -rf $RPM_BUILD_ROOT

%pre

%post
/etc/e-smith/events/actions/navigation-conf
#/etc/e-smith/events/actions/initialize-default-databases
#mkdir -p /etc/e-smith/templates/etc/rc.d/init.d/masq
#/bin/chmod 644 /etc/e-smith/templates/etc/rc.d/init.d/masq/45AllowGeneWeb
/sbin/e-smith/expand-template /etc/rc.d/init.d/masq
#/etc/rc.d/init.d/masq restart
true

%preun
/sbin/e-smith/db configuration setprop geneweb status disabled
/etc/rc.d/init.d/gwd stop
true

%postun
/sbin/e-smith/expand-template /etc/rc.d/init.d/masq
#/etc/rc.d/init.d/masq restart
